> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Characters

> The get characters section allows users to fetch a list of all available characters along with their details.



## OpenAPI

````yaml get /pub/v1/characters
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/characters:
    get:
      tags:
        - Characters
      summary: Get List of All Character's Details
      description: >-
        The get characters section allows users to fetch a list of all available
        characters along with their details.
      parameters:
        - description: The page number of the feed
          in: query
          name: page
          schema:
            minimum: 1
            type: integer
        - description: The page size of the feed
          in: query
          name: page_size
          schema:
            maximum: 50
            minimum: 1
            type: integer
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CharacterGetSuccessResponse'
                type: object
          description: A list of all characters
components:
  schemas:
    CharacterGetSuccessResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/GetData'
          type: array
        err:
          description: The error if the request was not successful
          type: object
        pagination:
          $ref: '#/components/schemas/Pagination'
          type: object
      type: object
    GetData:
      properties:
        character_type:
          description: >-
            Specifies if the character resembles a realistic human or not. A
            ‘stylized’ character can refer to an illustration, drawing, digital
            render, or any other non-photographic style.
          enum:
            - realistic
            - stylized
          example: realistic
          type: string
        id:
          description: The ID of the character
          example: character_01
          type: string
        name:
          description: Name of the character
          example: kite
          type: string
        prompt:
          description: The detailed description of the character
          example: >-
            a female, european, young adult, muscular body, thick black hair,
            wearing formal clothes, mountains in the background. 
          type: string
        system_character:
          description: >-
            Indicates whether the character is generated by the user or is a
            default character provided by the application. It is true for
            default character and false for user generated character.
          example: false
          type: boolean
      type: object
    Pagination:
      properties:
        page:
          description: The page number
          example: 1
          type: integer
        page_size:
          description: The page size
          example: 10
          maximum: 50
          minimum: 1
          type: integer
        total:
          description: The total number of items
          example: 100
          type: integer
      type: object

````